{% extends "base.html" %}

{% block title %}Comparison - Cluster {{ cluster_num }}{% endblock %}


{% block content %}
<div class="container mt-5">
    <!-- Cluster Buttons -->
    {% if number_of_cluster %}
    <div class="row justify-content-center mb-4">
        <div class="col-auto">
            <div class="btn-group" role="group">
                {% for i in range(1, number_of_cluster + 1) %}
                    <a href="{{ url_for('comparison.index', cluster_num=i, file_index_1=0, file_index_2=1) }}" class="btn {% if i == cluster_num %}btn-danger{% else %}btn-outline-danger{% endif %}">{{ i }}</a>
                {% endfor %}
            </div>
        </div>
    </div>
    {% else %}
        <p>No clusters found.</p>
    {% endif %}

<!-- Cluster Statistics -->
<div class="row mt-4">
    <div class="col-md-12">
        <div class="card border-primary">
            <div class="card-body-info">
                <div class="d-flex flex-wrap justify-content-center">
                    <div class="stat-item p-2">
                        <span class="badge bg-danger">Number of Files</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.num_files }}</span>
                    </div>
                    <div class="stat-item p-2">
                        <span class="badge bg-secondary">Lines</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_lines }}</span>
                    </div>
                    <div class="stat-item p-2">
                        <span class="badge bg-success">While Loops</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_while_loops }}</span>
                    </div>
                    <div class="stat-item p-2">
                        <span class="badge bg-primary">For Loops</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_for_loops }}</span>
                    </div>
                    <div class="stat-item p-2">
                        <span class="badge bg-warning text-dark">If/Else Statements</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_if_statements }}</span>
                    </div>
                    <div class="stat-item p-2">
                        <span class="badge bg-info">Variables</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_vars }}</span>
                    </div><div class="stat-item p-2">
                        <span class="badge bg-dark">Methods</span>
                        <span class="badge bg-light text-dark">{{ cluster_stats.avg_methods }}</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End of Cluster Statistics -->
    <!-- Similarity Percentage -->
    <div class="row mt-4 text-center">
       
            <div class="alert alert-danger" role="alert">
                <div>
                <strong>Text Similarity:</strong> {{ similarity }}%
                </div>
                <div  style="margin-top: 10px;">
                <strong>Structure Similarity:</strong> {{ struct_similarity }}%
                </div>
            </div>
    </div>

    <!-- Code Display Boxes -->
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    
                    <div class="code-box">
                        <pre>
                            <code class="language-scala">{{ content1 | safe }}</code></pre>
                    </div>
                    <div class="navigation-buttons">
                        <a href="{{ url_for('comparison.index', cluster_num=cluster_num, file_index_1=prev_file_index_1, file_index_2=file_index_2) }}" class="btn btn-secondary">Previous</a>
                        <a href="{{ url_for('comparison.index', cluster_num=cluster_num, file_index_1=next_file_index_1, file_index_2=file_index_2) }}" class="btn btn-secondary">Next</a>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    
                    <div class="code-box">
                        <pre><code class="language-scala">{{ content2 | safe }}</code></pre>
                    </div>
                    <div class="navigation-buttons">
                        <a href="{{ url_for('comparison.index', cluster_num=cluster_num, file_index_1=file_index_1, file_index_2=prev_file_index_2) }}" class="btn btn-secondary">Previous</a>
                        <a href="{{ url_for('comparison.index', cluster_num=cluster_num, file_index_1=file_index_1, file_index_2=next_file_index_2) }}" class="btn btn-secondary">Next</a>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>

{% endblock %}



